/*CSS Reset*/
* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

html {
	font-size: 62.5%;
}

body {
	font-family: "Open Sans", sans-serif;

}

nav {
	background-color: white;
	position: sticky;
	top: 0px;
	font-size: 1.4rem;
	z-index: 999;
}

.nav-logo {
	display: inline-block;
	width: 30vw;
}

.right-nav {
	display: inline-block;
	width: 65vw;
	position: absolute;
}

.nav {
	display: inline-block;
	width: 16%;
	text-align: center;
	margin: auto;
}

li {
	list-style-type:none
}

button {
	border: none;
	color: white;
}

.tuitt-button {
	padding: 10px;
	border-radius: 15px;
	background-color: #c2195b;
}

#bg-image {
	min-height: 50vh;
	background-color: gray;
	background-image: url('https://d3ojsfl21hfxhc.cloudfront.net/assets/zuitt/programdetails2_w.jpg');
	background-repeat: no-repeat;
	background-size: 100%;
	/*image being centered horizontally, alignment with center of the element vertically*/
	background-position: center center;
	background-attachment: scroll;
}

.front-bg {
	min-height: 50vh;
	background-color: rgba(0, 0, 0, 0.5);
}

.container {
	padding: 0 5% 5% 5%;
	position: absolute;
	width: 40%;
	right: 0px;
	text-align: right;
	color: white;
}

.title {
	font-size: 3rem;
	margin-bottom: 10px;
	font-family: "Zilla Slab", sans-serif;
	margin-bottom: 30px;
}

.subtitle {
	font-size: 1.5rem;
	margin-bottom: 10px;
}

.apply-button {
	padding: 10px 50px 10px 50px;
	border-radius: 15px;
	background-color: #c2195b;
}

.title-2 {
	font-size: 3rem;
	margin-bottom: 10px;
	font-family: "Zilla Slab", sans-serif;
	margin-bottom: 30px;
}

.intro, .pre-footer, footer {
	text-align: center;
}

.intro-description, .prefooter-description, .footer-description {
	width: 60%;
	margin: auto;
}

.intro {
	margin-top: 30px;
	margin-bottom: 100px;
}

.pre-footer {
	background-color: #f7fbfb;
	padding-bottom: 100px;
}

.prefooter-description {
	margin-bottom: 10px;
}

.book-button {
	padding: 10px 50px 10px 50px;
	border-radius: 15px;
	background-color: #336589;
}

/*DISPLAY PROPERTY*/

/*This is a display:*/
#div-1 {
	background-color: green;
	/*An inline element does not start on a new line. It only takes up as much width as necessary*/
	display: inline;
}

/*This is a span*/
#span-1 {
	background-color: purple;
	/*Display none hides the element from the website*/
	display: none;
	width: 200px;
	height: 200px;
}

/*This is another span*/
#span-2 {
	background-color: red;
	/*Block elements by default take as much space as they can*/
	display: block;
}

/*This is another div*/
#div-2 {	
	display: none;
	background-color: hotpink;
}

#img {
	/*Inline-block does not start on a new line and it only takes as much width as necessary*/
	display: inline-block;
	width: 250px;
	height: 250px;
}

/*Block takes up the whole width by default*/
#p-1 {
	background-color: #87CEFA;
}

/*width 60*/
#p-2 {
	background-color: rgb(255, 105, 180);
	width: 60%;
}

/*width 40*/
#p-3 {
	background-color: yellow;
	width: 40%;
}

.sample {
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}

/*Float Property*/
.img-float {
	width: 250px;
	height: 250px;
	/*inherits this property from its parent element*/
	float: inherit;
}


/*CSS UNITS*/
.box {
	background-color: red;
	border: 1px solid black;
	margin: 5px;
}

.fifty-percent {
	width: 50%;
}

.one-hundred-pixels {
	width: 100px;
}

.fifty-vw {
	width: 50vw;
}

.twenty-five-vh {
	height: 25vh;
}

.parent {
	width: 135px;
	border: 2px solid navy;
	font-size: 30px;
}

.one-rem {
	font-size: 1rem;
}

.one-em {
	font-size: 1em;
}

.two-rem {
	font-size: 2rem;
}

.two-em {
	font-size: 2em;
}

.two-hundred-percent {
	font-size: 200%;
}

/*BACKGROUND PROPERTY*/
.background {
	min-height: 100vh;
	background-color: gray;
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	background-repeat: no-repeat;
	background-size: 100%;
	/*image being centered horizontally, alignment with top of the element vertically*/
	background-position: center top;
	background-attachment: scroll;
}

.container-bg {
	/*rgba stands for red, green, blue and alpha*/
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh;
}

.bg-title {
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	/*controls the height of each line of text within an element*/
	line-height: 35rem;
}

/*CSS POSITIONING*/
.parent-element {
	background-color: skyblue;
	padding: 50px;
	position: relative;
	height: 800px;
}

.child-one {
	background-color: gray;
	padding: 10px;
}

.child-two {
	background-color: yellow;
	padding: 10px;
	position: sticky;
	top: 10px;
}

.child-three {
	background-color: gray;
	padding: 10px;
}

html {
	height: 800vh;
}


/*Z-index Property*/
/*An element with greater stack order is always above an element with a lower stack order.*/

/*.container {
	position: relative;
}*/

.black-box {
	position: relative;
	z-index: 1;
	border: 2px solid black;
	height: 100px;
	margin: 30px;
}

.gray-box {
	position: absolute;
	z-index: 3;
	background-color: lightgray;
	height: 60px;
	width: 70%;
	left: 50px;
	top: 50px;
}

.green-box {
	position: absolute;
	z-index: 2;
	background-color: lightgreen;
	width: 35%;
	left: 270px;
	top: 15px;
	height: 100px;
}



